# $Revision: 1.97 $, $Date: 2008-04-01 19:22:26 $
#
# Conditional build:
%bcond_without	initrd	# don't build initrd version
%bcond_without	uClibc	# link initrd version with static glibc instead of uClibc
%bcond_without	clvmd	# don't build clvmd
%bcond_without	selinux	# disable SELinux
#
%ifarch sparc64 sparc %{x8664}
%undefine	with_uClibc
%endif
#
%define	devmapper_ver	1.02.23
Summary:	The new version of Logical Volume Manager for Linux
Summary(pl.UTF-8):	Nowa wersja Logical Volume Managera dla Linuksa
Name:		lvm2
Version:	2.02.29
Release:	0.1
License:	GPL v2
Group:		Applications/System
Source0:	ftp://sources.redhat.com/pub/lvm2/LVM2.%{version}.tgz
# Source0-md5:	61d7f49ef4908818278713564039a1ed
Patch0:		%{name}-as-needed.patch
Patch1:		%{name}-selinux.patch
URL:		http://sources.redhat.com/lvm2/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	device-mapper-devel >= %{devmapper_ver}
%{?with_selinux:BuildRequires:	libselinux-devel >= 1.10}
BuildRequires:	rpmbuild(macros) >= 1.213
%if %{with initrd}
	%if %{with uClibc}
BuildRequires:	device-mapper-initrd-devel >= %{devmapper_ver}
		%ifarch ppc
BuildRequires:	uClibc-static >= 2:0.9.29
		%else
BuildRequires:	uClibc-static >= 2:0.9.26
		%endif
	%else
BuildRequires:	device-mapper-static >= %{devmapper_ver}
BuildRequires:	glibc-static
%{?with_selinux:BuildRequires:	libselinux-static >= 1.10}
%{?with_selinux:BuildRequires:	libsepol-static}
	%endif
%endif
%if %{with clvmd}
BuildRequires:	cman-devel >= 1.0
BuildRequires:	dlm-devel >= 1.0-0.pre21.2
%endif
BuildRequires:	readline-devel
Requires:	device-mapper >= %{devmapper_ver}
%if %{with clvmd}
Requires:	cman-libs >= 1.0
Requires:	dlm >= 1.0-0.pre21.2
%endif
%{?with_selinux:Requires:	libselinux >= 1.10}
Obsoletes:	lvm
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_exec_prefix	/
%define		_sbindir	/sbin
%define		_libdir		/%{_lib}

# changing CFLAGS in the middle confuses confcache
%undefine	configure_cache

%description
This package includes a number of utilities for creating, checking,
and repairing logical volumes.

%description -l pl.UTF-8
Pakiet ten zawiera narzędzia do tworzenia, sprawdzania i naprawiania
logicznych wolumenów dyskowych (LVM2).

%package initrd
Summary:	The new version of Logical Volume Manager for Linux - initrd version
Summary(pl.UTF-8):	Nowa wersja Logical Volume Managera dla Linuksa - wersja dla initrd
Group:		Base

%description initrd
This package includes a number of utilities for creating, checking,
and repairing logical volumes - staticaly linked for initrd.

%description initrd -l pl.UTF-8
Pakiet ten zawiera narzędzia do tworzenia, sprawdzania i naprawiania
logicznych wolumenów dyskowych (LVM2) - statycznie skonsolidowane na
potrzeby initrd.

%prep
%setup -q -n LVM2.%{version}
%patch0 -p1
%{?with_selinux:%patch1 -p1}

%build
cp -f /usr/share/automake/config.sub autoconf
%{__aclocal}
%{__autoconf}

%if %{with initrd}
%configure \
	%{?with_uClibc:CC="%{_target_cpu}-uclibc-gcc"} \
	ac_cv_lib_dl_dlopen=no \
	%{?debug:--enable-debug} \
	--with-optimisation="-Os" \
	--enable-static_link \
	--with-lvm1=internal \
	--disable-selinux \
	--disable-nls

%{__sed} -i -e 's#rpl_malloc#malloc#g' lib/misc/configure.h

%{__make}
mv -f tools/lvm.static initrd-lvm
%{__make} clean
%endif

%configure \
	CFLAGS="%{rpmcflags}" \
	%{?debug:--enable-debug} \
	--with-optimisation="" \
	--enable-readline \
	--enable-fsadm \
	%{?with_clvmd:--with-clvmd=cman} \
	--with-lvm1=internal \
	--with-pool=internal \
	--with-cluster=internal \
	--with-snapshots=internal \
	--with-mirrors=internal \
	%{!?with_selinux:--disable-selinux}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/lvm

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	OWNER="" \
	GROUP=""

touch $RPM_BUILD_ROOT%{_sysconfdir}/lvm/lvm.conf

%{?with_initrd:install initrd-lvm $RPM_BUILD_ROOT%{_sbindir}/initrd-lvm}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README WHATS_NEW doc/*
%attr(755,root,root) %{_sbindir}/*
%{?with_initrd:%exclude %{_sbindir}/initrd-lvm}
%{_mandir}/man?/*
%attr(750,root,root) %dir %{_sysconfdir}/lvm
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lvm/lvm.conf

%if %{with initrd}
%files initrd
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/initrd-lvm
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lvm2.spec,v $
Revision 1.97  2008-04-01 19:22:26  glen
- needs static selinux here

Revision 1.96  2007-12-16 23:28:05  qboosh
- updated to 2.02.29

Revision 1.95  2007-10-31 18:13:49  glen
- uClibc lvm.static not usable on amd64 (again)

Revision 1.94  2007/10/31 17:57:54  glen
- --enable-debug for debug
- add selinux.patch for static glibc linkage

Revision 1.93  2007/09/09 23:16:13  qboosh
- updated to 2.02.28
- updated as-needed patch, removed obsolete susv3 patch

Revision 1.92  2007/07/01 12:54:25  qboosh
- added susv3 patch (use strchr()/strrchr() instead of index()/rindex())

Revision 1.91  2007/06/30 18:40:31  arekm
- up to 2.02.26

Revision 1.90  2007/05/01 13:42:00  qboosh
- use dm 1.02.19

Revision 1.89  2007/05/01 13:41:04  qboosh
- updated to 2.02.25

Revision 1.88  2007/04/06 10:38:26  qboosh
- dropped gulm support as it has been dropped from cluster; always use cman for clvmd

Revision 1.87  2007/04/01 00:41:21  arekm
- up to 2.02.24

Revision 1.86  2007/02/16 17:26:55  arekm
- rel 1

Revision 1.85  2007/02/16 08:36:40  arekm
- up to 2.02.22

Revision 1.84  2007/02/13 06:46:53  glen
- tabs in preamble

Revision 1.83  2007/02/12 00:49:06  baggins
- converted to UTF-8

Revision 1.82  2007/02/04 15:21:26  areq
-  devmapper_ver   1.02.17

Revision 1.81  2007/02/03 15:53:47  areq
- 2.02.21

Revision 1.80  2006/12/09 22:30:12  qboosh
- updated to 2.02.16

Revision 1.79  2006/11/23 20:18:05  qboosh
- updated to 2.02.15

Revision 1.78  2006/11/19 01:22:55  qboosh
- updated to 2.02.14

Revision 1.77  2006/10/18 06:33:10  qboosh
- clvmd always BR: dlm-devel (for defs from libdlm.h)

Revision 1.76  2006/10/05 21:51:45  qboosh
- updated to 2.02.10

Revision 1.75  2006/08/22 21:39:21  qboosh
- updated to 2.02.09
- more strict device-mapper deps

Revision 1.74  2006/08/05 12:54:41  sparky
- kill forced -O2

Revision 1.73  2006/08/01 23:03:16  sparky
- sed's moved to patch

Revision 1.72  2006/08/01 00:39:47  sparky
- pass LDFLAGS to fsadm

Revision 1.71  2006/07/31 22:48:26  sparky
- look for tgetent() in -ltinfo - as-needed fix

Revision 1.70  2006/07/19 18:49:59  qboosh
- updated to 2.02.07
- clvmd builds again, added cman bcond

Revision 1.69  2006/07/17 18:15:52  sparky
- organised with initrd, uClibc-static >= 2:0.9.29 for ppc

Revision 1.68  2006/07/12 17:14:06  glen
- todo is fixed, configure cache must be disabled

Revision 1.67  2006/06/20 16:43:01  wiget
- BR fixed device-mapper-initrd-devel to build on %{x8664}
- release 0.4

Revision 1.66  2006/06/20 11:24:52  wiget
- release 0.3 (rebuild with new uClibc and new device-mapper)

Revision 1.65  2006/05/21 17:02:59  glen
- build with system device-mapper

Revision 1.64  2006/05/20 12:27:10  glen
- warning: unusable

Revision 1.63  2006/05/20 02:22:04  glen
- update to 2.02.06
- use built libdevmapper.a instead of assembling partial one
- default clvmd (if unspecified) used is cman, force gulm as it was
  here, but it fails bulding; disabled bcond
- dm updated to 1.02.07

Revision 1.62  2005/10/19 16:16:16  arekm
- up to 2.01.15

Revision 1.61  2005/09/17 11:44:34  arekm
- new readline 5.0

Revision 1.60  2005/08/23 13:42:32  baggins
- no spaces in bconds

Revision 1.59  2005/08/09 22:06:29  areq
- fix  Requires without clvmd

Revision 1.58  2005/08/06 15:27:26  qboosh
- updated to 2.01.14, dm 1.01.04

Revision 1.57  2005/06/20 18:44:07  baggins
- release 3
- strict BR

Revision 1.56  2005/06/20 12:21:42  baggins
- release 2
- strict req dlm in gulm (lvm2 must have them in /lib)

Revision 1.55  2005/06/18 18:31:14  qboosh
- use device-mapper 1.01.03

Revision 1.54  2005/06/18 17:50:34  areq
- 2.01.12

Revision 1.53  2005/05/29 06:32:42  paszczus
- updated LVM2 to 2.01.10
- updated dm to 1.01.02
- STBR

Revision 1.52  2005/05/25 09:32:54  speedy
- BR in proper place...
- rel 2

Revision 1.51  2005/05/21 14:09:06  speedy
- BR: readline-devel

Revision 1.50  2005/05/11 15:27:01  qboosh
- use x8664 macro

Revision 1.49  2005/04/14 21:18:45  qboosh
- it's sufficient to rebuild main configure once
- updated cluster BRs

Revision 1.48  2005/04/10 10:55:17  paszczus
- adaptarized

Revision 1.47  2005/04/06 19:37:32  paszczus
- updated lvm2 to 2.01.09
- updated dm to 1.01.01

Revision 1.46  2005/01/19 22:06:55  adamg
- added %%bcond_without selinux

Revision 1.45  2005/01/15 22:14:36  qboosh
- device-mapper updated to 1.00.21

Revision 1.44  2005/01/09 17:50:21  adamg
- updated to 2.00.33

Revision 1.43  2005/01/05 11:47:42  qboosh
- disable shared modules in (static) initrd version

Revision 1.42  2005/01/03 20:25:00  adamg
- updated to 2.00.32

Revision 1.41  2004/12/16 11:32:52  adamg
- updated to 2.00.31

Revision 1.40  2004/12/10 23:34:23  adamg
- updated to 2.00.30

Revision 1.39  2004/11/23 21:01:13  arekm
- updated to 2.00.26

Revision 1.38  2004/10/25 12:05:19  arekm
- rel1

Revision 1.37  2004/10/17 23:14:10  adamg
- updated to 2.00.25

Revision 1.36  2004/09/16 13:56:21  arekm
- updated to 2.00.23

Revision 1.35  2004/09/03 22:09:14  arekm
- updated to 2.00.22

Revision 1.34  2004/08/15 22:12:14  havner
- rel 2

Revision 1.33  2004/07/29 22:00:38  qboosh
- fixed wrong libdir define (unused?)

Revision 1.32  2004/07/03 20:29:06  arekm
- updated to 2.00.20; all patches obsolete now, kudos to agk@rh

Revision 1.31  2004/07/02 22:52:54  arekm
- patches obsolete; cluster is conditional now

Revision 1.30  2004/06/26 23:16:51  arekm
- enable cluster daemon

Revision 1.29  2004/06/24 17:32:33  arekm
- updated to 2.00.18

Revision 1.28  2004/06/24 12:43:00  arekm
- enable other stuff like pool/mirror/snapshots

Revision 1.27  2004/06/23 13:46:50  arekm
- rel 2; fixes initrd-lvm (CFLAGS= overrided configure settings and devicemapper was lost)

Revision 1.26  2004/06/20 17:13:53  arekm
- updated to 2.00.17

Revision 1.25  2004/05/27 21:39:27  qboosh
- R: libselinux >= 1.10, dropped obsolete CONFIG_DM_IOCTL_V4, optflags fix

Revision 1.24  2004/05/25 01:07:06  arekm
- updated to 2.00.16

Revision 1.23  2004/05/06 17:24:45  qboosh
- fixed opt patch, changed the way of hacking CFLAGS to preserve -fPIC
- support linking initrd version with static glibc on platforms w/o uClibc

Revision 1.22  2004/04/24 13:03:48  mmazur
- gkh patch unneeded

Revision 1.21  2004/04/23 18:25:45  arekm
- updated to 2.0.15

Revision 1.20  2004/04/01 00:43:18  arekm
- updated to 2.00.09

Revision 1.19  2004/03/05 14:39:07  andree
- copy config.sub

Revision 1.18  2004/01/25 19:54:14  arekm
- initrd builds with new uClibc

Revision 1.17  2004/01/25 00:12:22  arekm
- more initrd/gkh work

Revision 1.16  2004/01/24 00:59:52  arekm
- changing initrd bcond to make it usable (but for now it's off by default)

Revision 1.15  2003/11/30 19:00:15  arekm
- require latest device-mapper (BR)

Revision 1.14  2003/11/28 22:07:33  qboosh
- updated to 2.00.08, added opt patch, new-style bcond

Revision 1.13  2003/10/25 13:25:41  ankry
- pl: linkowanie -> konsolidacja, shell -> powłoka

Revision 1.12  2003/09/16 20:26:48  arekm
- updated to 2.00.07

Revision 1.11  2003/08/20 23:47:23  arekm
- updated to 2.00.06

Revision 1.10  2003/08/13 22:52:22  ankry
- description fixes / unification

Revision 1.9  2003/08/04 21:18:28  areq
- remove BUGS form doc

Revision 1.8  2003/07/18 22:26:43  arekm
- updated to 2.00.05 but not tested

Revision 1.7  2003/05/28 12:59:38  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 05:50:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/05/22 13:20:58  baggins
- add missing dirs

Revision 1.4  2003/04/15 17:37:33  baggins
- obsoletes lvm

Revision 1.3  2003/04/15 17:37:08  baggins
- now it builds (don't know if works ;)

Revision 1.2  2003/04/15 17:18:00  baggins
- it compiles

Revision 1.1  2003/04/15 16:18:52  baggins
- raw, copied from lvm.spec
